<?php
require '../../../zb_system/function/c_system_base.php';
require '../../../zb_system/function/c_system_admin.php';
$zbp->Load();
$action='root';
if (!$zbp->CheckRights($action)) {$zbp->ShowError(6);die();}
if (!$zbp->CheckPlugin('paywall')) {$zbp->ShowError(48);die();}

$blogtitle='Paywall付费阅读';
require $blogpath . 'zb_system/admin/admin_header.php';
require $blogpath . 'zb_system/admin/admin_top.php';
?>

<div id="divMain">
  <div class="divHeader"><?php echo $blogtitle;?></div>
  <div class="SubMenu">
  </div>
  <div id="divMain2">
    <form id="edit" name="edit" method="post" action="save_setting.php">
      <?php if (function_exists('CheckIsRefererValid')) {
        echo '<input type="hidden" name="csrfToken" value="' . $zbp->GetCSRFToken() . '">';
      }?>
      <h2>账户设置</h2>
      <input name="form-id" type="hidden" value="paywall-settings-form">
      <table class="form-table tableFull">
        <tr>
          <th scope="row"><label for="paywall-uid">UID</label></th>
          <td>
            <input value="<?php echo $zbp->Config('paywall')->paywall_uid; ?>" name="paywall_uid" type="number" id="paywall_uid" size="6" required>
            <p class="description">您在 <a href="https://www.zhi12.cn" target="_blank">zhi12.cn</a> 网站上（我的账户 > 其它）的账户UID，用于接收用户付款。</p>
          </td>
        </tr>
        <tr>
          <th scope="row"><label for="paywall-secret">通讯密钥</label></th>
          <td>
            <input value="<?php echo $zbp->Config('paywall')->paywall_secret; ?>" class="regular-text code" name="paywall_secret" type="text" id="paywall_secret" required>
            <p class="description">您在 <a href="https://www.zhi12.cn" target="_blank">zhi12.cn</a> 账户下设置的通讯密钥（Secret）。</p>
          </td>
        </tr>
      </table>

      <h2>包月会员设置</h2>
      <table class="form-table tableFull">
        <tr>
          <th scope="row"><label for="paywall-membership-enabled">包月会员</label></th>
          <td>
            <input <?php if ($zbp->Config('paywall')->paywall_membership_enabled) :?>checked<?php endif;?> class="regular-text code" name="paywall_membership_enabled" type="checkbox" id="paywall_membership_enabled"> 启用包月会员功能
            <p class="description">勾选后付费阅读区域会增加包月会员相关功能。包月会员有助于提前锁定付费用户，增加收入及用户黏性。<br>
            <span style="color: red;">注意：启用前请先前往 zhi12.cn 平台完成功能开通及定价配置。</span></p>
          </td>
        </tr>
        <tr>
          <th scope="row"><label for="paywall-siteid">站点ID</label></th>
          <td>
            <input value="<?php echo $zbp->Config('paywall')->paywall_siteid; ?>" class="regular-text code" name="paywall_siteid" type="text" id="paywall_siteid">
            <p class="description">开通包月会员站点的站点ID</p>
          </td>
        </tr>
        <tr>
          <th scope="row"><label for="paywall-baseurl">主域名地址</label></th>
          <td>
            <input value="<?php echo $zbp->Config('paywall')->paywall_baseurl; ?>" class="regular-text code" name="paywall_baseurl" type="text" id="paywall_baseurl">
            <p class="description">一般为当前网站根目录，不包含结尾斜杠，示例：http(s)://www.example.com</p>
          </td>
        </tr>
      </table>

      <h2>全局设置</h2>
      <table class="form-table tableFull">
        <tr>
          <th scope="row"><label for="paywall-default-mode">默认状态</label></th>
          <td>
            <fieldset>
              <legend class="screen-reader-text"><span>默认状态</span></legend>
              <p>
                <?php $mode = $zbp->Config('paywall')->paywall_default_mode; ?>
                <label><input class="paywall_default_mode" name="paywall_default_mode" type="radio" value="0" <?php if ($mode == 0) : ?>checked="checked"<?php endif; ?>> 免费</label><br>
                <label><input class="paywall_default_mode" name="paywall_default_mode" type="radio" value="1" <?php if ($mode == 1) : ?>checked="checked"<?php endif; ?>> 收费</label>
              </p>
            </fieldset>
            <p class="description">
              如将默认状态设置为“收费”，除单独设置的文章外，全站所有文章默认均需付费才可阅读。默认值：免费
            </p>
          </td>
        </tr>
        <tr>
          <th scope="row"><label for="paywall-default-amount">默认阅读费用</label></th>
          <td>
            <div class="condition-by-mode" <?php if ($mode == 0) : ?>style="display: none;"<?php endif; ?>>
              <input value="<?php echo $zbp->Config('paywall')->paywall_default_amount; ?>" class="regular_text code small-text paywall_default_amount" name="paywall_default_amount" type="number" size="2" maxlength="2" id="paywall-default-amount" step="1" max="200" min="1" required>元
              <p class="description">
                为文章设置默认付费金额。注意：仅在“默认状态”为收费时才生效。
              </p>
            </div>
          </td>
        </tr>
        <tr>
          <th scope="row"><label for="paywall-percent">隐藏比例</label></th>
          <td>
            <input value="<?php echo $zbp->Config('paywall')->paywall_percent; ?>" class="regular_text code small-text" name="paywall_percent" type="number" size="2" maxlength="2" id="paywall-percent" step="10" max="90" min="10" required>%            <p class="description">
              未设置付费区域情况下，默认隐藏多少内容？建议值：50, 60, 70
            </p>
          </td>
        </tr>
        <tr>
          <th scope="row"><label for="paywall-overlay">弹窗模式</label></th>
          <td>
            <input value="1" name="paywall_overlay" type="checkbox" id="paywall-overlay" <?php if ($zbp->Config('paywall')->paywall_overlay) : ?>checked<?php endif; ?>> 启用弹窗模式
            <p class="description">
              为付费阅读插件增加弹窗支持，提供更好的用户使用体验，提高付费率。
            </p>
          </td>
        </tr>
        <tr>
          <th scope="row"><label for="paywall-default-amount">自定义信息</label></th>
          <td>
            <textarea style="width: 80%; height: 5rem;" name="paywall_custom_message" id="paywall-custom-message"><?php echo $zbp->Config('paywall')->paywall_custom_message; ?></textarea>
            <p class="description">
              显示在付费阅读区域的自定义消息，可用于填写“购买须知”、“客服QQ”等内容。支持HTML代码。
            </p>
          </td>
        </tr>
      </table>
      <h2>高级设置</h2>
      <table class="form-table tableFull">
        <tr>
          <th scope="row"><label for="paywall-secret">通讯网关</label></th>
          <td>
            <input value="<?php echo $zbp->Config('paywall')->paywall_gateway; ?>" class="regular-text code" name="paywall_gateway" type="text" id="paywall_gateway" required>
            <p class="description">通讯网关，一般情况下请勿修改。默认值：https://www.zhi12.cn</p>
          </td>
        </tr>
      </table>
      <p>
          <input type="submit" class="button" value="<?php echo $lang['msg']['submit'] ?>" />
      </p>
    </form>
  </div>

  <script type="text/javascript">
    (function($) {
      var $parent = $('input.paywall_default_mode');
      var $children = $('.condition-by-mode');
      $parent.change(function(){
        $(this).attr('value') == 0
          ? $children.css('display', 'none')
          : $children.css('display', 'block');
      });
    })(jQuery);
  </script>

</div>

<?php
require $blogpath . 'zb_system/admin/admin_footer.php';
RunTime();
?>